Bug 198244 - Review Request: libglade
Review Request: libglade
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 198245 205265
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-10 11:28 EDT by Paul Howarth
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-02 12:58:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2006-07-10 11:28:04 EDT
Spec URL: http://www.city-fan.org/~paul/extras/Gnome-1/libglade.spec
SRPM URL: http://www.city-fan.org/~paul/extras/Gnome-1/libglade-0.17-17.src.rpm
Description:

Gnome-1 support library for loading user interfaces.

This package was removed from Core for FC6 and I am submitting it to Extras to support the people that still need it for legacy applications. I pulled the package from Core CVS and then tweaked it for Extras and to suit my own cosmetic preferences. Reviewers may consider using rpmdiff to compare the built packages with the versions in Fedora Core 5.
Comment 1 Rex Dieter 2006-07-10 12:12:50 EDT
Since -devel has files in %{_libdir}/pkgconfig and %_datadir/aclocal, to avoid 
possible unowned dirs, it should:
Requires: pkgconfig
and
Requires: automake
(or Requires: %_datadir/aclocal)
respectively.
Comment 2 Rex Dieter 2006-07-10 12:36:36 EDT
Double checked, and 
Requires: pkgconfig
is already there.
Comment 3 Paul Howarth 2006-08-26 10:29:33 EDT
Spec URL: http://www.city-fan.org/~paul/extras/Gnome-1/libglade.spec
SRPM URL: http://www.city-fan.org/~paul/extras/Gnome-1/libglade-0.17-18.src.rpm

-18 has epoch in versioned dependency for libxml-devel
Comment 4 Jason Tibbitts 2006-10-01 20:42:37 EDT
This builds in mock; rpmlint complains about the following:
   E: libglade-devel only-non-binary-in-usr-lib
I think this is due to /usr/lib64/libgladeConf.sh.  A couple of other packages
(libxml2-devel, libxslt-devel) do this.  I guess it's some pre-pkgconfig
behavior or something.  It's pretty bogus, but I don't think it's a blocker for
a legacy library like this one.

Additionally, rpmlint on the installed package complains:

W: libglade undefined-non-weak-symbol /usr/lib64/libglade-gnome.so.0.4.2
glade_standard_build_children

plus 17 additional undefined-non-weak-symbol warnings.  I guess it would be nice
for these to go away, but again, this is a legacy library and these aren't
generally blockers in any case.

Full review forthcoming.
Comment 5 Jason Tibbitts 2006-10-01 22:36:47 EDT
So, really it's just the undefined-non-weak-symbol thing.  I'll go ahead and
approve, but it would be good to at least check if it's possible to fix that.

* source files match upstream:
   38b2e2cfd813783fe157617813bfe3b3  libglade-0.17.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged (the latest version before glade2, that is)
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
? rpmlint is silent.
* final provides and requires are sane:
  libglade-0.17-17.fc6.x86_64.rpm
   libglade-gnome.so.0()(64bit)
   libglade.so.0()(64bit)
   libglade = 1:0.17-17.fc6
  =
   /sbin/ldconfig
   libICE.so.6()(64bit)
   libSM.so.6()(64bit)
   libX11.so.6()(64bit)
   libXext.so.6()(64bit)
   libXi.so.6()(64bit)
   libart_lgpl.so.2()(64bit)
   libaudiofile.so.0()(64bit)
   libesd.so.0()(64bit)
   libgdk-1.2.so.0()(64bit)
   libgdk_imlib.so.1()(64bit)
   libglade-gnome.so.0()(64bit)
   libglade.so.0()(64bit)
   libglib-1.2.so.0()(64bit)
   libgmodule-1.2.so.0()(64bit)
   libgnome.so.32()(64bit)
   libgnomesupport.so.0()(64bit)
   libgnomeui.so.32()(64bit)
   libgtk-1.2.so.0()(64bit)
   libxml.so.1()(64bit)

  libglade-devel-0.17-17.fc6.x86_64.rpm
   libglade-devel = 1:0.17-17.fc6
  =
   /bin/sh
   /usr/bin/env
   gnome-libs-devel >= 1.4.1.2
   libglade = 1:0.17-17.fc6
   libglade-gnome.so.0()(64bit)
   libglade.so.0()(64bit)
   libxml-devel >= 1.8.16
   pkgconfig

* %check is not present; no test suite upstream.
* shared libraries present; ldconfig is called as necessary.  Unversioned .so
files are in the -devel subpackage.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (ldconfig)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* headers in -devel subpackage.
* pkgconfig file in -devel subpackage; pkgconfig is a dependency.
* no libtool .la droppings.

APPROVED
Comment 6 Paul Howarth 2006-10-02 07:44:29 EDT
(In reply to comment #4)
> This builds in mock; rpmlint complains about the following:
>    E: libglade-devel only-non-binary-in-usr-lib
> I think this is due to /usr/lib64/libgladeConf.sh.  A couple of other packages
> (libxml2-devel, libxslt-devel) do this.  I guess it's some pre-pkgconfig
> behavior or something.  It's pretty bogus, but I don't think it's a blocker for
> a legacy library like this one.

OK, left that one.

> Additionally, rpmlint on the installed package complains:
> 
> W: libglade undefined-non-weak-symbol /usr/lib64/libglade-gnome.so.0.4.2
> glade_standard_build_children
> 
> plus 17 additional undefined-non-weak-symbol warnings.  I guess it would be nice
> for these to go away, but again, this is a legacy library and these aren't
> generally blockers in any case.

I believe I've fixed this in -19, along with the /usr/lib64 rpaths on the x86_64
build.

Given that you approved the package already, I'll import it and build it. Any
new issues you have, I'll fix in cvs.

Thanks for the review.

Spec URL: http://www.city-fan.org/~paul/extras/Gnome-1/libglade.spec
SRPM URL: http://www.city-fan.org/~paul/extras/Gnome-1/libglade-0.17-19.src.rpm
Comment 7 Jason Tibbitts 2006-10-02 11:50:03 EDT
Oddly enough I didn't see any rpaths in my x86_64 build.  But the new package
looks fine and it seems that fixing the undefined-non-weak-symbol stuff was
easy.  Thanks.
Comment 8 Paul Howarth 2006-10-02 12:58:07 EDT
 18744 (libglade): Build on target fedora-development-extras succeeded.
     Build logs may be found at
http://buildsys.fedoraproject.org/logs/fedora-development-extras/18744-libglade-0.17-19.fc6/

owners.list updated.

Thanks again for the review.

Note You need to log in before you can comment on or make changes to this bug.